io.vertx.groovy.servicediscovery.types

## Class JDBCDataSource_GroovyStaticExtension

- java.lang.Object
- - io.vertx.groovy.servicediscovery.types.JDBCDataSource_GroovyStaticExtension

-     public class JDBCDataSource_GroovyStaticExtension
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JDBCDataSource_GroovyStaticExtension()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Map<String,Object>` | `createRecord(JDBCDataSource j_receiver, String name, Map<String,Object> location, Map<String,Object> metadata)`
    `static void` | `getJDBCClient(JDBCDataSource j_receiver, ServiceDiscovery discovery, java.util.function.Function<Map<String,Object>,Boolean> filter, Handler<AsyncResult<JDBCClient>> resultHandler)`
    `static void` | `getJDBCClient(JDBCDataSource j_receiver, ServiceDiscovery discovery, java.util.function.Function<Map<String,Object>,Boolean> filter, Map<String,Object> consumerConfiguration, Handler<AsyncResult<JDBCClient>> resultHandler)`
    `static void` | `getJDBCClient(JDBCDataSource j_receiver, ServiceDiscovery discovery, Map<String,Object> filter, Handler<AsyncResult<JDBCClient>> resultHandler)`
    `static void` | `getJDBCClient(JDBCDataSource j_receiver, ServiceDiscovery discovery, Map<String,Object> filter, Map<String,Object> consumerConfiguration, Handler<AsyncResult<JDBCClient>> resultHandler)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JDBCDataSource_GroovyStaticExtension

          public JDBCDataSource_GroovyStaticExtension()

  - ### Method Detail

    - #### createRecord

          public static Map<String,Object> createRecord(JDBCDataSource j_receiver,
                                                        String name,
                                                        Map<String,Object> location,
                                                        Map<String,Object> metadata)

    - #### getJDBCClient

          public static void getJDBCClient(JDBCDataSource j_receiver,
                                           ServiceDiscovery discovery,
                                           Map<String,Object> filter,
                                           Handler<AsyncResult<JDBCClient>> resultHandler)

    - #### getJDBCClient

          public static void getJDBCClient(JDBCDataSource j_receiver,
                                           ServiceDiscovery discovery,
                                           java.util.function.Function<Map<String,Object>,Boolean> filter,
                                           Handler<AsyncResult<JDBCClient>> resultHandler)

    - #### getJDBCClient

          public static void getJDBCClient(JDBCDataSource j_receiver,
                                           ServiceDiscovery discovery,
                                           Map<String,Object> filter,
                                           Map<String,Object> consumerConfiguration,
                                           Handler<AsyncResult<JDBCClient>> resultHandler)

    - #### getJDBCClient

          public static void getJDBCClient(JDBCDataSource j_receiver,
                                           ServiceDiscovery discovery,
                                           java.util.function.Function<Map<String,Object>,Boolean> filter,
                                           Map<String,Object> consumerConfiguration,
                                           Handler<AsyncResult<JDBCClient>> resultHandler)

Copyright © 2017. All rights reserved.